@import "src/sass/abstracts/abstracts";

$padding-bottom-desktop: 20px;

:host {
  display: flex;
  flex-direction: column;

  .newer-version-message {
    text-align: center;
    background-color: $intermediate-grey;
    border-radius: 5px;
    border: 1px solid $medium-light-grey;
    padding: 10px;
    margin: 10px 0;
    font-size: 15px;
  }

  .shared-detail-presentation {
    margin-top: 10px;

    .image-wrapper {
      border: 1px solid $extra-light-grey;
    }

    .title {
      font-size: 18px;
      line-height: 25px;
      margin-bottom: 0;
      color: $black;
      font-weight: bold;
    }

    .description {
      font-size: 14px;
      color: $light-grey;
      line-height: 18px;
      margin-bottom: 20px;
      white-space: pre-line;
    }

    .base-info-list {
      display: grid;
      grid-gap: 8px;

      @include respond-to-smaller-than-breakpoint('md') {
        grid-gap: 10px;
      }

      .list-doi {
        display: grid;
        grid-gap: 5px;
      }

      .ark-line,
      .doi-line {
        max-width: fit-content;

        .value {
          display: grid;
          grid-gap: 5px;
          grid-template-columns: max-content 1fr;
          max-width: fit-content;
          cursor: pointer;

          .doi-logo {
            &.not-available {
              filter: grayscale(100%);
            }
          }

          .ark-value,
          .doi-value {
            @include truncate-with-ellipsis;
          }

          .ark-menu,
          .doi-menu {
            display: none;
          }
        }
      }

      > dl {
        display: grid;
        grid-template-columns: minmax(0, 160px) 1fr;
        grid-gap: 20px;

        @include respond-to-smaller-than-breakpoint('lg') {
          grid-template-columns: 1fr;
          grid-gap: 2px;
        }

        @include respond-to-breakpoint('xs') {
          flex-direction: column;
        }

        .label {
          color: $light-grey;
          line-height: 16px;
          @include truncate-with-ellipsis;
        }

        .value {
          margin-left: 0;
          @include truncate-with-ellipsis;

          &.org-unit {
            font-weight: bold;
          }
        }

      }
    }

    .complementary-info {
      display: grid;
      grid-template-rows: min-content min-content min-content min-content min-content min-content min-content;
      grid-gap: 20px;

      .year,
      .expiration,
      .access-level,
      .data-sensitivity,
      .dua,
      .contributor,
      .size {
        display: grid;
        grid-template-columns: 24px 1fr;
        grid-gap: 20px;
        align-items: center;
      }

      .size {
        align-items: start;

        .readme {
          display: grid;
          grid-template-columns: 1fr max-content;
          align-items: center;
          margin-top: -8px;

          .readme-file {
            display: grid;
            grid-auto-flow: column;
          }
        }
      }

      .year,
      .expiration,
      .access-level,
      .data-sensitivity,
      .dua {
        grid-template-columns: 24px minmax(0, 135px) 1fr;
      }

      .dua {
        .dua-value-wrapper {
          display: grid;
          grid-template-columns: 1fr max-content;
          align-items: center;
        }

        .dua-file {
          display: grid;
        }
      }

      .expiration {
        .date {
          &.forever {
            font-size: 26px;
          }
        }
      }

      .contributor {
        align-items: start;

        .list-contributors {
          > li {
            @include truncate-with-ellipsis;
            max-width: 240px;

            .name {
              margin-right: 5px;
            }

            .image-orcid {
              display: inline-block;
              position: relative;
              top: 3px;
            }
          }
        }
      }

      .label {
        color: $light-grey;
      }

      .statistics {
        display: grid;
        grid-template-rows: auto;
        grid-template-areas:
            "view-number . . download-number"
            "rating rating rating rating";
        grid-template-columns: min-content min-content;
        align-items: center;
        justify-content: center;
        grid-gap: 10px 40px;

        .view-number,
        .download-number {
          display: grid;
          grid-template-columns: min-content min-content;
          align-items: center;
          grid-gap: 10px;

          .icon {
            color: $light-grey;
          }

          .text {
            color: $primary-color;
            font-weight: bold;
          }
        }

        .view-number {
          grid-area: view-number;
        }

        .download-number {
          grid-area: download-number;
        }

        .rating {
          grid-area: rating;
          justify-self: center;
        }
      }

      .button-wrapper {
        margin-top: 10px;
        justify-content: center;
        display: flex;
        flex-wrap: wrap;
        grid-gap: 10px;
      }
    }

    .panel-citations-bibliographies {
    }
  }

  .panel-citations-bibliographies {
    ::ng-deep {
      .content {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-gap: 20px;

        @include respond-to-smaller-than-breakpoint('md') {
          grid-template-columns: 1fr;
        }

        .title {
          font-size: 18px;
        }

        .bibliographies-section {
          &.with-separator {
            @include respond-to-smaller-than-breakpoint('md') {
              border-top: 1px solid $intermediate-grey;
              padding-top: 20px;
            }
          }
        }
      }
    }
  }

  .pre {
    font-size: 13px;
    line-height: 1.42857143;
    word-break: break-all;
    word-wrap: break-word;
    background-color: $white;
    border: 1px solid #ccc;
    border-radius: 4px;
    overflow-x: auto;
  }

  .code {
    font-family: monospace;
    white-space: pre-wrap;
    padding-top: 0;
  }

  .packages-container {
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-auto-flow: column;
    grid-gap: 0 25px;

    @include respond-to-smaller-than-breakpoint('md') {
      grid-auto-flow: row;
    }

    > dl {
      display: grid;
      grid-template-columns: minmax(0, 200px) 1fr;
      @include respond-to-breakpoint('xs') {
        flex-direction: column;
      }

      .label {
        width: 200px;
        color: $light-grey;
        line-height: 26px;
      }

      .value {
        @include truncate-with-ellipsis;
        margin-left: 20px;

        &.copy {
          cursor: pointer;
        }
      }

    }
  }

  .tiles-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-gap: 20px;
    padding-top: 20px;
  }
}


@include isInDarkMode {
  .newer-version-message {
    background-color: $dark-mode-line;
    border-color: $dark-mode-outline;
  }

  .shared-detail-presentation {
    .image-wrapper {
      border-color: $dark-mode-line;
    }

    .title {
      color: $dark-mode-text-color;
    }
  }

  .pre {
    border-color: $dark-mode-line;
    background-color: #0d1117;
  }

  .panel-citations-bibliographies {
    ::ng-deep {
      .content {
        .bibliographies-section {
          border-color: $dark-mode-line;
        }
      }
    }
  }
}

